Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1933615 - F35FailsToInstall: python3-autobahn
Summary: F35FailsToInstall: python3-autobahn
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autobahn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-03-01 09:41 UTC by Miro Hrončok
Modified: 2022-09-27 06:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-02 15:23:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-03-01 09:41:05 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-autobahn) Fails To Install in Fedora 35:

can't install python3-autobahn:
  - nothing provides python3.9dist(cryptography) >= 3.4.6 needed by python3-autobahn-21.2.2-1.fc35.noarch
  - nothing provides python3.9dist(txaio) >= 21.2.1 needed by python3-autobahn-21.2.2-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-03-01 09:45:01 UTC
Fabian, I see you updated autobahn without checking if it installs. Once again I ask you to please stop doing that.

The following packages are affected:

buildbot-0:2.8.4-2.fc34.noarch
buildbot-0:2.8.4-2.fc34.src
buildbot-master-0:2.8.4-2.fc34.noarch
buildbot-www-0:2.8.4-2.fc34.noarch
gerbera-0:1.6.4-5.fc35.src
libebml-devel-0:1.4.1-2.fc34.x86_64
libmatroska-0:1.6.2-2.fc34.src
libmatroska-devel-0:1.6.2-2.fc34.x86_64
magic-wormhole-0:0.12.0-4.fc34.noarch
mkvtoolnix-0:53.0.0-1.fc34.src
paraview-0:5.9.0-2.fc34.src
paraview-0:5.9.0-2.fc34.x86_64
paraview-data-0:5.9.0-2.fc34.noarch
paraview-devel-0:5.9.0-2.fc34.x86_64
paraview-mpich-0:5.9.0-2.fc34.x86_64
paraview-mpich-devel-0:5.9.0-2.fc34.x86_64
paraview-openmpi-0:5.9.0-2.fc34.x86_64
paraview-openmpi-devel-0:5.9.0-2.fc34.x86_64
python-daphne-0:2.5.0-3.fc34.src
python-magic-wormhole-0:0.12.0-4.fc34.src
python-magic-wormhole-mailbox-server-0:0.4.1-5.fc34.src
python3-autobahn+twisted-0:21.2.2-1.fc35.noarch
python3-daphne-0:2.5.0-3.fc34.noarch
python3-magic-wormhole-0:0.12.0-4.fc34.noarch
python3-magic-wormhole-mailbox-server-0:0.4.1-5.fc34.noarch

Comment 2 Ankur Sinha (FranciscoD) 2021-03-01 13:52:32 UTC
Since paraview is also FTI, the rawhide comp-neuro compose is failing because of this. CCing the neuro-sig.

https://pagure.io/releng/failed-composes/issue/2291

Comment 3 Mamoru TASAKA 2021-03-01 14:25:27 UTC
ref: https://bugzilla.redhat.com/show_bug.cgi?id=1925733

Comment 4 Miro Hrončok 2021-03-02 15:23:45 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.